#ifndef _REMOTELIST_H_
#define _REMOTELIST_H_

#include <QDomDocument>
#include <QStringList>
#include <QMap>
#include <QList>
#include "model.h"

class RemoteList
{
public:
    RemoteList();
    RemoteList(const RemoteList &);
    RemoteList(QDomDocument &);
    RemoteList(const QString &xmlFile);
    RemoteList(QIODevice);
    ~RemoteList();
    
    void setContent(QDomDocument &);
    void setContent(const QString &xmlFile);

    // Returns false if document is not set or it's invalid
    bool isValid();

    QStringList letters();
    QStringList manufacturers(const QString &letter);
    QList<Model> models(const QString &manufacturer);

private:
    void parse(const QString &xmlFile);
    void parse(QDomDocument &doc);
    QStringList parseMfgs(QDomElement &charEl);
    QList<Model> parseModels(QDomElement &mfgEl);
    void printMaps();
    
private:
    bool valid;
    QMap<QString, QStringList> mfgMap;
    QMap<QString, QList<Model> > modelMap;
};

#endif // _REMOTELIST_H_



